"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchFontFile = void 0;
// @ts-ignore
const node_fetch_1 = __importDefault(require("next/dist/compiled/node-fetch"));
/**
 * Fetch the url and return a buffer with the font file.
 */
async function fetchFontFile(url) {
    // Check if we're using mocked data
    if (process.env.NEXT_FONT_GOOGLE_MOCKED_RESPONSES) {
        // If it's an absolute path, read the file from the filesystem
        if (url.startsWith('/')) {
            return require('fs').readFileSync(url);
        }
        // Otherwise just return a unique buffer
        return Buffer.from(url);
    }
    const arrayBuffer = await (0, node_fetch_1.default)(url).then((r) => r.arrayBuffer());
    return Buffer.from(arrayBuffer);
}
exports.fetchFontFile = fetchFontFile;
